Polyrankdocs
ApiLab

GET /v1/lab/paper-runs/{id}

One of the caller’s paper runs with its copy records, newest first (optionally one outcome): the leader’s price and dollars, what the book gave (entry, delay, dollars available at the limit), the settlement and P&L. 404 `lab_paper_disabled` while LAB_PAPER_ENABLED is off.

GET
/v1/lab/paper-runs/{id}

One of the caller’s paper runs with its copy records, newest first (optionally one outcome): the leader’s price and dollars, what the book gave (entry, delay, dollars available at the limit), the settlement and P&L. 404 lab_paper_disabled while LAB_PAPER_ENABLED is off.

AuthorizationBearer <token>

API key: Authorization: Bearer pk_live_… (mint at polyrank.app/api-keys)

In: header

Path Parameters

id*string

Query Parameters

outcome?string
limit?integer
offset?integer

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/lab/paper-runs/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "string",  "strategy_id": "string",  "status": "active",  "wallets": [    "string"  ],  "wallets_refreshed_at": "string",  "started_at": "string",  "stopped_at": "string",  "graded_at": "string",  "resolved_copies": 0,  "promotable": true,  "stats": {    "property1": null,    "property2": null  },  "notes": [    "string"  ],  "known_issues": [    "string"  ],  "kind": "copy",  "copies": [    {      "wallet": "string",      "token_id": "string",      "condition_id": "string",      "title": "string",      "category": "string",      "signal_at": "string",      "leader_price": 0,      "leader_usd": 0,      "outcome": "string",      "reason": "string",      "entry_at": "string",      "entry_price": 0,      "entry_delay_s": 0,      "clip_usd": 0,      "tradable_usd": 0,      "exit_at": "string",      "exit_price": 0,      "won": 0,      "pnl_usd": 0,      "settled_at": "string",      "signal": {        "kind": "string",        "side": "buy",        "token": "string",        "price": 0,        "ref": 0      },      "signal_kind": "wallet",      "rule": {        "moment": "string",        "ask": 0,        "bid": 0,        "phase": "string",        "outcome": "yes",        "days_to_end": 0,        "conditions": [          {            "feature": "string",            "op": "string",            "value": 0,            "window_h": 0,            "actual": 0,            "holds": true,            "words": "string",            "unit": "string"          }        ],        "basis": "top"      }    }  ]}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}
{  "error": "string",  "message": "string",  "feature": "string",  "field": "string",  "plan": "string",  "retry_after_sec": 0,  "retry_after_seconds": 0,  "reason": "string",  "issues": [    null  ],  "trace_id": "string"}